import request from '@/utils/request'

// 查询疾病列表
export function listDisease(query) {
  return request({
    url: '/his/disease/list',
    method: 'get',
    params: query
  })
}

// 查询疾病详细
export function getDisease(diseaseId) {
  return request({
    url: '/his/disease/' + diseaseId,
    method: 'get'
  })
}
// 查询科室列表
export function listDepartment(query) {
  return request({
    url: '/his/department/listOptions',
    method: 'get',
    params: query
  })
}
// 新增疾病
export function addDisease(data) {
  return request({
    url: '/his/disease',
    method: 'post',
    data: data
  })
}

// 修改疾病
export function updateDisease(data) {
  return request({
    url: '/his/disease',
    method: 'put',
    data: data
  })
}

// 删除疾病
export function delDisease(diseaseId) {
  return request({
    url: '/his/disease/' + diseaseId,
    method: 'delete'
  })
}

// 导出疾病
export function exportDisease(query) {
  return request({
    url: '/his/disease/export',
    method: 'get',
    params: query
  })
}
